/*	Copyright (C) 2003-2013 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#include "network/network.pmh"
#include "platform/dlCore.cc"

extern "C"
{

FE_DL_EXPORT fe::Library *CreateLibrary(fe::sp<fe::Master> spMaster)
{
	fe::Library *pLibrary = new fe::Library();
	pLibrary->add<fe::BSDServer>("ServerI.BSDServer.fe");
	pLibrary->add<fe::BSDClient>("ClientI.BSDClient.fe");
	return CreateNetworkLibrary(spMaster);
}

}

